<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button type="submit" form="form-sms-notify" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
				<a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
				<h1><?php echo $heading_title; ?></h1>
				<ul class="breadcrumb">
					<?php foreach ($breadcrumbs as $breadcrumb) { ?>
					<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
		<div class="container-fluid">
			<?php if ($error_warning) { ?>
			<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
				<button type="button" class="close" data-dismiss="alert">&times;</button>
			</div>
			<?php } ?>
			<div class="panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
				</div>
				<div class="panel-body">
					
					<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-targetsms" class="form-horizontal">
						<div class="form-group">
						
							<div class="col-sm-12">
								<select id="input-targetsms-store" class="form-control">
									<?php if ($stores) { ?>
										<?php foreach ($stores as $store) { ?>
											<option value="<?php echo $store['store_id']; ?>"><?php echo $store['name']; ?></option>								
										<?php } ?>
									<?php } ?>
								</select>
							</div>
						</div>
						<?php if ($stores) { ?>
							<?php foreach ($stores as $key => $store) { ?>

								<div <?php if ($key) {echo 'style="display:none;"';} ?> class="tab-content tab-content-store" id="tab-content-store<?php echo $store['store_id']; ?>">	
									<ul class="nav nav-tabs">
										<li class="active"><a href="#tab-connect<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $tab_connect; ?></a></li>
										<li><a href="#tab-test<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $tab_test; ?></a></li>
										<li><a href="#tab-admin<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $tab_admin; ?></a></li>
										<li><a href="#tab-customer<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $tab_customer; ?></a></li>
										<li><a href="#tab-history<?php echo $store['store_id']; ?>" data-toggle="tab"><?php echo $tab_history; ?></a></li>								
									</ul>
									<div class="tab-pane active" id="tab-connect<?php echo $store['store_id']; ?>">
										<div class="form-group">
											<label class="col-sm-2 control-label"><?php echo $entry_targetsms_balance; ?></label>
											<div class="col-sm-10">
												<div id="balance_block<?php echo $store['store_id']; ?>" style="padding-top: 10px;font-weight: bold;display: inline-block;">
													<?php echo $store['balance']; ?>
												</div>
												<a target="_blank" style="color: #000;font-weight: bold;background-color: #bfe142;border-color: #bfe142;padding: 4px 6px;border-radius: 3px;margin-left: 10px;" href="https://sms.targetsms.ru/ru/cabinet/pay.html">Пополнить баланс</a>
											</div>
											
										</div>
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-login<?php echo $store['store_id']; ?>"><?php echo $entry_targetsms_login; ?></label>
											<div class="col-sm-10">
												<input type="text" name="stores[<?php echo $store['store_id']; ?>][targetsms_login]" id="input-targetsms-login<?php echo $store['store_id']; ?>" class="form-control" value="<?php echo $store['targetsms_login']; ?>" placeholder="<?php echo $entry_targetsms_login; ?>" />
											</div>
										</div>
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-password<?php echo $store['store_id']; ?>"><?php echo $entry_targetsms_password; ?></label>
											<div class="col-sm-10">
												<input  type="text" name="stores[<?php echo $store['store_id']; ?>][targetsms_password]" id="input-targetsms-password<?php echo $store['store_id']; ?>" class="form-control" value="<?php echo $store['targetsms_password']; ?>" placeholder="<?php echo $entry_targetsms_password; ?>" />
											</div>
										</div>										
										<div class="form-group <?php if (isset($store['senders']['error']) || !$store['senders']) {echo 'hidden';} ?> form-group-targetsms-from<?php echo $store['store_id']; ?>">
											<label class="col-sm-2 control-label" for="input-targetsms-from<?php echo $store['store_id']; ?>"><?php echo $entry_targetsms_from; ?></label>
											<div id="from_block<?php echo $store['store_id']; ?>" class="col-sm-10">
												<?php if ($store['senders']['any_originator'] == 'TRUE') { ?>
													<input  type="text" name="stores[<?php echo $store['store_id']; ?>][targetsms_from]" id="input-targetsms-from<?php echo $store['store_id']; ?>" class="form-control" value="<?php echo $store['targetsms_from']; ?>" />
												<?php } else { ?>
													<select name="stores[<?php echo $store['store_id']; ?>][targetsms_from]" id="input-targetsms-from<?php echo $store['store_id']; ?>" class="form-control">
													<?php foreach ($store['senders']['list_originator'] as $keysender => $sender) { ?>

														<?php if ($sender[state] == 'completed') { ?>
															<option value="<?php echo $sender['originator']; ?>"><?php echo $sender['originator']; ?></option>
														<?php } else {  ?>
															<option disabled value="<?php echo $sender['originator']; ?>"><?php echo $sender['originator']; ?></option>
														<?php }  ?>

													<?php } ?>
													</select>
												<?php } ?>												
											</div>
										</div>
										<div class="form-group">
											<div class="col-sm-12 text-right">
												<button style="color: #000;font-weight: bold;background: #bfe142;border-color:#bfe142;" type="button" store="<?php echo $store['store_id']; ?>" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary button-connect"><?php echo $button_connect; ?></button>
											</div>
										</div>
									</div>
									<div class="tab-pane" id="tab-test<?php echo $store['store_id']; ?>">
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-test-phone<?php echo $store['store_id']; ?>"><span data-toggle="tooltip" title="<?php echo $help_targetsms_test_phone; ?>"><?php echo $entry_targetsms_test_phone; ?></span></label>
											<div class="col-sm-10">
												<input type="text" id="input-targetsms-test-phone<?php echo $store['store_id']; ?>" class="form-control" value="" placeholder="<?php echo $entry_targetsms_test_phone; ?>" />
											</div>		
										</div>
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-test-message<?php echo $store['store_id']; ?>"><?php echo $entry_targetsms_test_message; ?></label>
											<div class="col-sm-10">
												<input type="text" id="input-targetsms-test-message<?php echo $store['store_id']; ?>" class="form-control" value="" placeholder="<?php echo $entry_targetsms_test_message; ?>" />
											</div>		
										</div>
										<div class="form-group">
											<div class="col-sm-12 text-right">
												<button style="color: #000;font-weight: bold;background: #bfe142;border-color:#bfe142;" type="button" store="<?php echo $store['store_id']; ?>" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary button-send"><?php echo $button_send; ?></button>
											</div>
										</div>
	
									</div>
									<div class="tab-pane" id="tab-admin<?php echo $store['store_id']; ?>">
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-admin-send<?php echo $store['store_id']; ?>"><?php echo $entry_targetsms_admin_send; ?></label>
											<div class="col-sm-10">
												<select name="stores[<?php echo $store['store_id']; ?>][targetsms_admin_send]" id="input-targetsms-admin-send<?php echo $store['store_id']; ?>" class="form-control">
													<?php if ($store['targetsms_admin_send']) { ?>
													<option value="1" selected="selected"><?php echo $text_enabled; ?></option>
													<option value="0"><?php echo $text_disabled; ?></option>
													<?php } else { ?>
													<option value="1"><?php echo $text_enabled; ?></option>
													<option value="0" selected="selected"><?php echo $text_disabled; ?></option>
													<?php } ?>
												</select>
											</div>
										</div>
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-to<?php echo $store['store_id']; ?>"><span data-toggle="tooltip" title="<?php echo $help_targetsms_to; ?>"><?php echo $entry_targetsms_to; ?></span></label>
											<div class="col-sm-10">
												<textarea name="stores[<?php echo $store['store_id']; ?>][targetsms_to]" rows="5" placeholder="<?php echo $entry_targetsms_to; ?>" id="input-targetsms-to<?php echo $store['store_id']; ?>" class="form-control"><?php echo $store['targetsms_to']; ?></textarea>
											</div>
										</div>
										<div class="form-group">
						                	<label class="col-sm-2 control-label" for="input-targetsms-admin-template<?php echo $store['store_id']; ?>"><span data-toggle="tooltip" title="<?php echo $help_targetsms_admin_template; ?>"><?php echo $entry_targetsms_admin_template; ?></span></label>
						                	<div class="col-sm-10">
						                		<textarea name="stores[<?php echo $store['store_id']; ?>][targetsms_admin_template]" rows="5" placeholder="<?php echo $entry_targetsms_admin_template_defaul; ?>" id="input-targetsms-admin-template<?php echo $store['store_id']; ?>" class="form-control"><?php echo $store['targetsms_admin_template']; ?></textarea>
						                	</div>
						                </div>
									</div>
									<div class="tab-pane" id="tab-customer<?php echo $store['store_id']; ?>">
										
										<div class="form-group">
											<label class="col-sm-2 control-label" for="input-targetsms-customer-order-status<?php echo $store['store_id']; ?>"><span data-toggle="tooltip" title="<?php echo $help_targetsms_customer_order_status; ?>"><?php echo $entry_targetsms_customer_order_status; ?></span></label>
											<div class="col-sm-10">
												<div class="well well-sm" style="height: 150px; overflow: auto;">
													<?php foreach ($order_statuses as $order_status) { ?>
													<div class="checkbox">
														<label>
															<?php if (in_array($order_status['order_status_id'], $store['targetsms_customer_order_status'])) { ?>
															<input type="checkbox" name="stores[<?php echo $store['store_id']; ?>][targetsms_customer_order_status][]" value="<?php echo $order_status['order_status_id']; ?>" checked="checked" />
															<?php echo $order_status['name']; ?>
															<?php } else { ?>
															<input type="checkbox" name="stores[<?php echo $store['store_id']; ?>][targetsms_customer_order_status][]" value="<?php echo $order_status['order_status_id']; ?>" />
															<?php echo $order_status['name']; ?>
															<?php } ?>
														</label>
													</div>
													<?php } ?>
												</div>
											</div>
										</div>
										<fieldset>
											<legend><?php echo $entry_targetsms_customer_templates; ?></legend>
											<?php foreach ($order_statuses as $order_status) { ?>
											<div class="form-group">
												<label class="col-sm-2 control-label" for="input-targetsms-customer-order-status-template<?php echo $store['store_id']; ?><?php echo $order_status['name']; ?>"><span data-toggle="tooltip" title="<?php echo $help_targetsms_customer_template; ?>"><?php echo $order_status['name']; ?></span></label>
												<div class="col-sm-10">
													<textarea name="stores[<?php echo $store['store_id']; ?>][targetsms_customer_order_status_template][o<?php echo $order_status['order_status_id']; ?>]" rows="5" placeholder="<?php echo $entry_targetsms_customer_order_status_template_defaul; ?><?php echo $order_status['name']; ?>" id="input-targetsms-admin-template<?php echo $store['store_id']; ?>" class="form-control"><?php if (isset($store['targetsms_customer_order_status_template']["o".$order_status['order_status_id']])) {echo $store['targetsms_customer_order_status_template']["o".$order_status['order_status_id']]; } ?></textarea>


												</div>

											</div>
											<?php } ?>
										</fieldset>
									</div>

									<div class="tab-pane" id="tab-history<?php echo $store['store_id']; ?>">

										<div class="well">
											<div class="row">
												<div class="col-sm-4">
													<div class="form-group" style="margin-left: 0px;margin-right: 0px;">
										                <label class="control-label" for="input-date-send-start<?php echo $store['store_id']; ?>"><?php echo $entry_date_send_start; ?></label>
										                <div class="input-group date">
										                	<input type="text" name="filter_date_send_start" value="" placeholder="<?php echo $entry_date_send_start; ?>" data-date-format="YYYY-MM-DD" id="input-date-send-start<?php echo $store['store_id']; ?>" class="form-control" />
										                	<span class="input-group-btn">
										                		<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
										                	</span>
										                </div>
										            </div>
										            <button style="color: #000;font-weight: bold;background: #bfe142;border-color:#bfe142;" type="button" store="<?php echo $store['store_id']; ?>" data-loading-text="<?php echo $text_loading; ?>" class="btn btn-primary pull-left button-filter"><i class="fa fa-filter"></i> <?php echo $button_filter; ?></button>

										        </div>
										        <div class="col-sm-4">
										            <div class="form-group" style="margin-left: 0px;margin-right: 0px;">
										                <label class="control-label" for="input-date-send-stop<?php echo $store['store_id']; ?>"><?php echo $entry_date_send_stop; ?></label>
										                <div class="input-group date">
										                	<input type="text" name="filter_date_send_stop" value="" placeholder="<?php echo $entry_date_send_stop; ?>" data-date-format="YYYY-MM-DD" id="input-date-send-stop<?php echo $store['store_id']; ?>" class="form-control" />
										                	<span class="input-group-btn">
										                		<button type="button" class="btn btn-default"><i class="fa fa-calendar"></i></button>
										                	</span>
										                </div>
										            </div>
												</div>
												<div class="col-sm-4">
										            <div class="form-group" style="margin-left: 0px;margin-right: 0px;">
										                <label class="control-label" for="input-sms-status<?php echo $store['store_id']; ?>"><?php echo $entry_sms_status; ?></label>
										                <div class="input-group">
										                	<select name="filter_sms_status" id="input-sms-status<?php echo $store['store_id']; ?>" class="form-control">
																<option value=""></option>
																<option value="deliver"><?php echo $entry_sms_status_deliver; ?></option>
																<option value="partly_deliver"><?php echo $entry_sms_status_partly_deliver; ?></option>
																<option value="expired"><?php echo $entry_sms_status_expired; ?></option>
																<option value="not_deliver"><?php echo $entry_sms_status_not_deliver; ?></option>
																
															</select>
										                	
										                </div>
										            </div>
												</div>


											</div>

										</div>
										<div id="table-sms-history<?php echo $store['store_id']; ?>" class="table-responsive">
											<table class="table table-bordered table-hover">
								            	<thead>
								                	<tr>
								                		<td class="text-left"><?php echo $entry_history_sms_id; ?></td>
								                		<td class="text-left"><?php echo $entry_history_sms_sender; ?></td>
								                		<td class="text-left"><?php echo $entry_history_sms_recipient; ?></td>
								                		<td class="text-left"><?php echo $entry_history_sms_text; ?></td>
								                		<td style="min-width: 115px;" class="text-left"><?php echo $entry_history_sms_status; ?></td>
								                		<td style="min-width: 145px;" class="text-left"><?php echo $entry_history_sms_date; ?></td>
								                	</tr>
								                </thead>
								                <tbody>

								                </tbody>

								            </table>

										</div>
			
									</div>
								</div>								
							<?php } ?>
						<?php } ?>
						Подробная инструкция по настройке и использованию модуля: <a target="_blank" href="https://targetsms.ru/otpravka-sms-iz-opencart">https://targetsms.ru/otpravka-sms-iz-opencart</a>
					</div>
				</div>
			</div>
		</form>
	</div>
</div>
</div>
</div>
<script type="text/javascript"><!--
$('.button-send').on('click', function() {
	var store_id = $(this).attr('store');
	$.ajax({
	    url: 'index.php?route=module/targetsms/testSms&token=<?php echo $token; ?>',
	    type: 'post',
	    data: 'targetsms_login=' + $('#input-targetsms-login' + store_id).val() + '&targetsms_password=' + $('#input-targetsms-password' + store_id).val() + '&targetsms_from=' + $('#input-targetsms-from' + store_id).val() + '&phone=' + $('#input-targetsms-test-phone' + store_id).val() + '&message=' + $('#input-targetsms-test-message' + store_id).val(),
	    dataType: 'json',
	    crossDomain: true,
	    beforeSend: function() {
	    $('.button-send').button('loading');
	    },
	    complete: function() {
	    $('.button-send').button('reset');
	    },
	    success: function(json) {
	    	
		    $('.success, .warning').remove();
		    $('.alert-danger, .alert-success').remove();

		    if (json['error']) {
		    	$('#content > .container-fluid').prepend('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
		    } else {
		    	$('#content > .container-fluid').prepend('<div class="alert alert-success"><i class="fa fa-check-circle"></i> Сообщение отправлено<button type="button" class="close" data-dismiss="alert">&times;</button></div>');	    	
		    }	    

	    },
	    error: function(xhr, ajaxOptions, thrownError) {
	    alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
	    }
	});



});
$('.button-filter').on('click', function() {
	var store_id = $(this).attr('store');
	$.ajax({
	    url: 'index.php?route=module/targetsms/getMessages&token=<?php echo $token; ?>',
	    type: 'post',
	    data: 'targetsms_login=' + $('#input-targetsms-login' + store_id).val() + '&targetsms_password=' + $('#input-targetsms-password' + store_id).val() + '&targetsms_from=' + $('#input-targetsms-from' + store_id).val() + '&date_start=' + $('#input-date-send-start' + store_id).val() + '&date_stop=' + $('#input-date-send-stop' + store_id).val() + '&state=' + $('#input-sms-status' + store_id).val(),
	    dataType: 'json',
	    crossDomain: true,
	    beforeSend: function() {
	    $('.button-filter').button('loading');
	    },
	    complete: function() {
	    $('.button-filter').button('reset');
	    },
	    success: function(json) {
	    	
	    $('.success, .warning').remove();
	    $('.alert-danger, .alert-success').remove();

	    if (json['error']) {
	    	$('#content > .container-fluid').prepend('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
	    } else {	    	
	    	$('#table-sms-history' + store_id + '>table>tbody').html('');
	    	if (json['num_stats'] > 0) {
	    		var html = '';
	    		$.each(json['stats'], function(idx, obj) {
	    			html = html + '<tr>';
	    				html = html + '<td>' + obj['id_sms'] + '</td>';
	    				html = html + '<td>' + obj['originator'] + '</td>';
	    				html = html + '<td>' + obj['phone'] + '</td>';
	    				html = html + '<td>' + obj['text'] + '</td>';
	    				html = html + '<td>' + obj['status'] + '</td>';
	    				html = html + '<td>' + obj['time_change_state'] + '</td>';
	    			html = html + '</tr>';
	    		});	

	    		$('#table-sms-history' + store_id + '>table>tbody').html(html);
	    	}
	    	
	    }
	    

	    },
	    error: function(xhr, ajaxOptions, thrownError) {
	    alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
	    }
	});



});
$('.button-connect').on('click', function() {
	var store_id = $(this).attr('store');

	$.ajax({
	    url: 'index.php?route=module/targetsms/connect&token=<?php echo $token; ?>',
	    type: 'post',
	    data: 'targetsms_login=' + $('#input-targetsms-login' + store_id).val() + '&targetsms_password=' + $('#input-targetsms-password' + store_id).val(),
	    dataType: 'json',
	    crossDomain: true,
	    beforeSend: function() {
	    $('.button-connect').button('loading');
	    },
	    complete: function() {
	    $('.button-connect').button('reset');
	    },
	    success: function(json) {
	    	
	    $('.success, .warning').remove();
	    $('.alert-danger, .alert-success').remove();

	    if (json['error']) {
	    	$('#content > .container-fluid').prepend('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
	    	$('#balance_block' + store_id).html('0.00 руб.'); 
	    	$('#from_block' + store_id).html('<input  type="text" name="stores[' + store_id + '][targetsms_from]" id="input-targetsms-from' + store_id + '" class="form-control" value="" />')
	    	$('.form-group-targetsms-from' + store_id).addClass('hidden');
	    } else {
	    	$('#content > .container-fluid').prepend('<div class="alert alert-success"><i class="fa fa-check-circle"></i> Подключение установлено<button type="button" class="close" data-dismiss="alert">&times;</button></div>');

	    	if (json['balance']) {
		    	$('#balance_block' + store_id).html(json['balance'] + ' руб.');    
		    }
		    if (json['any_originator']) {
		    	if (json['any_originator'] == 'TRUE') {
		    		$('#from_block' + store_id).html('<input  type="text" name="stores[' + store_id + '][targetsms_from]" id="input-targetsms-from' + store_id + '" class="form-control" value="" />')
		    		$('.form-group-targetsms-from' + store_id).removeClass('hidden');
		    	} else if (json['any_originator'] == 'FALSE') {	    		
		    		var html = '<select name="stores[' + store_id + '][targetsms_from]" id="input-targetsms-from' + store_id + '" class="form-control">';
		   			$.each(json['list_originator'], function(idx, obj) {
						if (obj['state'] == 'completed') {
							html = html + '<option value="' + obj['originator'] + '">' + obj['originator'] + '</option>';
						} else {
							html = html + '<option disabled value="' + obj['originator'] + '">' + obj['originator'] + '</option>';
						}
					});				
					html = html + '</select>'
		    		$('#from_block' + store_id).html(html);
		    		$('.form-group-targetsms-from' + store_id).removeClass('hidden');
		    	}	    	   
		    }
	    }
	    

	    },
	    error: function(xhr, ajaxOptions, thrownError) {
	    alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
	    }
	});
});

$('#button-clear-log').on('click', function() {
  $.ajax({
    url: 'index.php?route=extension/module/ochelp_sms_notify/clearLog&token=<?php echo $token; ?>',
    dataType: 'json',
    crossDomain: true,
    beforeSend: function() {
    $('#button-clear-log').button('loading');
    },
    complete: function() {
    $('#button-clear-log').button('reset');
    },
    success: function(json) {
    $('.success, .warning').remove();

    if (json['error']) {
    $('#content > .container-fluid').prepend('<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> ' + json['error'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');
    }

    if (json['success']) {
    $('#content > .container-fluid').prepend('<div class="alert alert-success"><i class="fa fa-check-circle"></i> ' + json['success'] + ' <button type="button" class="close" data-dismiss="alert">&times;</button></div>');

      location.reload();  
    }
    },
    error: function(xhr, ajaxOptions, thrownError) {
    alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
    }
  });
});
//-->
</script>

<script type="text/javascript">
	$('#input-targetsms-store').change(function(e){

		$('.tab-content-store').hide();
		$('#tab-content-store' + $(this).val()).show();
		
	});


</script>

<script src="view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.js" type="text/javascript"></script>
  <link href="view/javascript/jquery/datetimepicker/bootstrap-datetimepicker.min.css" type="text/css" rel="stylesheet" media="screen" />
  <script type="text/javascript"><!--
$('.date').datetimepicker({
	pickTime: false
});
//--></script>

<?php if ($ckeditor) { ?>
<script type="text/javascript"><!--
ckeditorInit('input-sms-template', '<?php echo $token; ?>');
//-->
</script>
<?php } else { ?>
  <script type="text/javascript" src="view/javascript/summernote/summernote.js"></script>
  <link href="view/javascript/summernote/summernote.css" rel="stylesheet" />
  <script type="text/javascript" src="view/javascript/summernote/opencart.js"></script>
  <script type="text/javascript"><!--
  $('#input-sms-template').summernote({
    height: 150,
      lang:'<?php echo $lang; ?>'
  });
  //-->
</script>
<?php } ?>
<?php echo $footer; ?>